%define ffversion	20061220
%define docversion	20061220
%define	Summary		Font Editor for PostScript, TrueType, OpenType and various fonts

Name:		fontforge
Version:	1.0
Release:	%mkrel 0.%{ffversion}.2
Summary:	%{Summary}
License:	BSD Style
Group:		Publishing
Source0:	http://fontforge.sourceforge.net/fontforge_full-%{ffversion}.tar.bz2
Source2:	http://fontforge.sourceforge.net/fontforge_htdocs-%{docversion}.tar.bz2
Source3:	http://fontforge.sourceforge.net/cidmaps.tar.bz2
Source4:	http://fontforge.sourceforge.net/fontforge-tutorial.pdf
Source11:	%{name}-16x16.png
Source12:	%{name}-32x32.png
Source13:	%{name}-48x48.png
Patch0:		fontforge-%{version}-uni-nodevel.patch
Patch1:		fontforge-%{version}-local-helpdir.patch
URL:		http://fontforge.sourceforge.net/
# (Abel) it wants either autotrace or potrace
Requires:	fonttracer
Requires:	tetex-mfwin
BuildRequires:	freetype2-devel
BuildRequires:	jpeg-devel
BuildRequires:	png-devel
BuildRequires:	tiff-devel
BuildRequires:	libungif-devel
BuildRequires:	libxml2-devel
# (Abel) libuninameslist.so.0 is a runtime dependency via dlopen()
Requires:	%{mklibname uninameslist 0}
BuildRequires:	libuninameslist-devel
BuildRequires:	chrpath
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
FontForge is an outline font editor that lets you create your own 
postscript, truetype, opentype, cid-keyed, multi-master, cff, svg and 
bitmap (bdf) fonts, or edit existing ones. Also lets you convert one
format to another. FontForge has support for many macintosh font formats.

%prep
%setup -q -n fontforge-%{ffversion}
%patch0 -p1 -b .uninames
%patch1 -p1 -b .helpdir
install -m 644 %{SOURCE4} .

# needed by patch
#autoconf

mkdir -p htdocs cidmap
tar xjf %{SOURCE2} -C htdocs
tar xjf %{SOURCE3} -C cidmap

%build
%configure2_5x \
	--with-multilayer \
	--with-devicetables \
	--disable-shared
%make

%install
rm -rf $RPM_BUILD_ROOT
#%makeinstall_std
%makeinstall

rm -rf $RPM_BUILD_ROOT%{_libdir}

# menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
command="%{name}" \
needs="x11" \
icon="%{name}.png" \
section="Office/Publishing" \
title="FontForge" \
longtitle="%{Summary}" \
xdg="true"
EOF

# XDG compliance
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=FontForge
Comment=%{Summary}
Exec=%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-Publishing;Graphics;Scanning;OCR;Office;Viewer;
EOF

# icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

# added with htdocs in %doc section
rm -rf %{buildroot}%{_datadir}/doc/fontforge

chrpath -d %{buildroot}%{_bindir}/%{name}

%find_lang FontForge

%post
%{update_menus}

%postun
%{clean_menus}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f FontForge.lang
%defattr(-,root,root)
%doc LICENSE htdocs README-unix README-Unix.html fontforge-tutorial.pdf
%{_bindir}/*
%{_mandir}/man1/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/fontforge



%changelog
* Sat Feb 24 2007 Giuseppe Ghibò <ghibo@mandriva.com> 1.0-0.20061220.2mdv2007.0
+ Revision: 125431
- Added Patch0 so to avoid libuninameslist-devel into Requires.
- Added Patch1 for local helpdir.
- Added libxml2-devel to BuildRequires.

* Sun Jan 21 2007 David Walluck <walluck@mandriva.org> 1.0-0.20061220.1mdv2007.1
+ Revision: 111228
- 20061220

* Wed Aug 23 2006 Per Øyvind Karlsen <pkarlsen@mandriva.com> 1.0-0.20060715.2mdv2007.0
+ Revision: 57538
- fix xdg menu (categories, name, comment)
- use %%find_lang for translations
- remove rpath
- don't bzip2 icons
- drop redundant doc dir

* Thu Aug 10 2006 Bruno Cornec <Bruno.Cornec@mandriva.org> 1.0-0.20060715.1mdv2007.0
+ Revision: 55478
- THanks to F. Crozat for the remark anbout the forgotten \
- desktop file was not in %%files
- XDG compliance added following http://qa.mandriva.com/twiki/bin/view/Main/MenuMigrationToXDG
- Updated to 20060715
  Patches not used anymore but stil in SVN for now in case I missed something.
- import fontforge-1.0-0.20060125.2mdk


* Sun May 14 2006 Stefan van der Eijk <stefan@eijk.nu> 1.0-0.20060125.2mdk
- rebuild for sparc

* Sat Feb 04 2006 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20060125.1mdk
- Release: 20060125.
- Added PDF tutorial.

* Wed Dec 28 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20051205.1mdk
- Release: 20051202.
- Rebuilt Patch1.

* Sat Nov 26 2005 Thierry Vignaud <tvignaud@mandriva.com> 1.0-0.20051023.2mdk
- fix menu entry (#14732)

* Wed Oct 26 2005 Abel Cheung <deaddog@mandriva.org> 1.0-0.20051023.1mdk
- Release: 20051023.
- Adapted Patch1 (partially merged upstream).

* Wed Aug 24 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050809.1mdk
- Release: 20050809.

* Fri Aug 05 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050803.1mdk
- Release: 20050803.

* Mon Jun 27 2005 Giuseppe Ghib <ghibo@mandriva.com> 1.0-0.20050624.1mdk
- Release: 20050624.
- Removed Patch0 (merged upstream).
- Adapted Patch1.

* Mon Feb 14 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20050209.1mdk
- Release: 20050209.
- Fixed helpdir (Patch2).

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.2mdk
- Don't obsolete/provide pfaedit, pfaedit should still stay (ghibo)
- UTF-8 spec

* Sun Jan 16 2005 Abel Cheung <deaddog@mandrake.org> 1.0-0.20041231.1mdk
- New release
- Updated cidmaps to 2004-12-22
- Obsoletes pfaedit
- Parallel build broken
- P0: fix detection of libxkbui
- P1: Adds DESTDIR support and --mode=* option to libtool calls
- (Seems not working very well, is urw-fonts broken?)

* Wed Aug 25 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040824.1mdk
- Release: 20040824.
- Removed Patch0, merged upstream.

* Sat Jul 31 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.2mdk
- Added Patch0 to get global variables like $fontversion working correctly.

* Thu Jul 29 2004 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-0.20040703.1mdk
- Initial release.

